LinuxQuestions.org
Latest LQ Deal: Latest LQ Deals
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Software
User Name
Password
Linux - Software This forum is for Software issues.
Having a problem installing a new program? Want to know which application is best for the job? Post your question in this forum.

Notices


Reply
  Search this Thread
Old 07-09-2019, 04:00 PM   #1
TheJooomes
Member
 
Registered: May 2019
Location: Minnesota USA
Distribution: Debian
Posts: 130

Rep: Reputation: Disabled
Dependency is not satisfiable: python3-software-properties (= 0.96.24.32.9)


A friend asked me to install the KDE desktop (kubuntu-desktop) on his Mint 19 machine, so I hopped on teamviewer and ran into all sorts of issues that lead me to get stuck at
Code:
Dependency is not satisfiable: python3-software-properties (= 0.96.24.32.9)
when trying to install that version with a .deb through gdebi. When installing python3-software-properties through the repos it gives me version 1.8.4 which is the wrong version. Trying to install software-properties-kde (which Plasma depends on) gives me
Code:
The following packages have unmet dependencies:
 software-properties-kde : Depends: python3-software-properties (= 0.96.24.32.9) but 1.8.4 is to be installed
E: Unable to correct problems, you have held broken packages.
which lead me to this whole thing with trying to install that particular version of python3-software-properties. I think I just need to install software-properties-kde_0.96.24.32.9_all.deb and all will be fine.
 
Old 07-09-2019, 08:15 PM   #2
berndbausch
LQ Addict
 
Registered: Nov 2013
Location: Tokyo
Distribution: Mostly Ubuntu and Centos
Posts: 6,316

Rep: Reputation: 1994Reputation: 1994Reputation: 1994Reputation: 1994Reputation: 1994Reputation: 1994Reputation: 1994Reputation: 1994Reputation: 1994Reputation: 1994Reputation: 1994
Somebody seems to have had the exact same problem and found a solution: https://unix.stackexchange.com/quest...ties-kde-issue.
 
Old 07-19-2019, 12:59 PM   #3
old_saint
LQ Newbie
 
Registered: Jul 2019
Posts: 1

Rep: Reputation: Disabled
Talking hope this helps

https://ubuntu.pkgs.org/18.04/ubuntu...9_all.deb.html

download the file then install using dpkg -i python3-software-properties_0.96.24.32.9_all.deb

then do apt-get install kubuntu-desktop
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
python3 -V returns Python 2.7.12, can't get python3 to work. gene_ Ubuntu 15 03-18-2019 11:39 AM
[SOLVED] making python3.6.4 default python3 Astral Axiom Linux - Newbie 17 04-14-2018 11:55 AM
[SOLVED] how to start python3.6 interpreter just by typing python in terminal not python3.6 bmohanraj91 Linux - Newbie 4 05-10-2017 08:51 AM
After upgrade python3.4 to python3.5.1 , not able to install packages "request" though pip3 YOGESHAS87 Linux - Software 1 08-03-2016 11:38 PM
download skype on ubuntu (Dependency is not satisfiable: libasound2) Coxynelle Linux - Software 1 01-05-2008 09:49 AM

LinuxQuestions.org > Forums > Linux Forums > Linux - Software

All times are GMT -5. The time now is 12:06 AM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Open Source Consulting | Domain Registration